Skip to main content
`Ctrl`+`K`

# DMSetBlockingType

set the blocking granularity to be used for variable block size `DMCreateMatrix()` is called

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetBlockingType(DM dm, DMBlockingType btype)

Logically Collective

## Input Parameters

- dm - the `DM`

- btype - block by topological point or field node

## Options Database Key

- -dm_blocking_type (topological_point|field_node) - use topological point blocking or field node blocking

## See Also

DM Basics, `DM`, `DMCreateMatrix()`, `MatSetVariableBlockSizes()`

## Level

advanced

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages